# IBaseVaultFactory

**Inherits:** IBaseVaultDeployer

Interface for the base vault factory

## Functions

### create

Create a new vault with the given parameters

```solidity
function create(
    bytes32 salt,
    string calldata description,
    BaseVaultParameters calldata baseVaultParams,
    address expectedVaultAddress
) external returns (address deployedVault);
```

**Parameters**

| Name                   | Type                  | Description                            |
| ---------------------- | --------------------- | -------------------------------------- |
| `salt`                 | `bytes32`             | The salt value to use for create2      |
| `description`          | `string`              | Vault description                      |
| `baseVaultParams`      | `BaseVaultParameters` | Parameters for vault deployment        |
| `expectedVaultAddress` | `address`             | Expected address of the deployed vault |

**Returns**

| Name            | Type      | Description                   |
| --------------- | --------- | ----------------------------- |
| `deployedVault` | `address` | Address of the deployed vault |

## Events

### VaultCreated

Emitted when the vault is created

```solidity
event VaultCreated(address indexed vault, address indexed owner, address submitHooks, string description);
```

**Parameters**

| Name          | Type      | Description           |
| ------------- | --------- | --------------------- |
| `vault`       | `address` | Vault address         |
| `owner`       | `address` | Initial owner address |
| `submitHooks` | `address` | Submit hooks address  |
| `description` | `string`  | Vault description     |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aera.finance/the-protocol/core/ibasevaultfactory.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
